Subject: Cannot GZIP plain files...

From: Vincent Cojot <[email-masked]>
Date: Sat, 16 Sep 1995 22:37:54 -0400 (EDT)

Hello everyone,

Sorry to ask one more question to this list but I am really lost here. (I 
have read all the docs I had, checked the man pages, compared things with 
my working Solaris 2.4 setup but I still cannot find the bug.

For every user (including root, user being connected anonymously or not), 
wu-ftpd-2.4.2-beta-5 which I compiled under Linux 1.3.25/gcc 2.6.3/slackware 
2.3 gives the following:

ftp> get song.txt.gz
200 PORT command successful.
550 Cannot GZIP plain files.

ftp> get song.txt.Z
200 PORT command successful.
550 Cannot COMPRESS plain files.

When trying a ".tar.gz" file, everything is working fine.

ftp> get pub.tgz
200 PORT command successful.
150 Opening BINARY mode data connection for /bin/tar.
226 Transfer complete.
3642 bytes received in 0.263 secs (14 Kbytes/sec)

I am totally lost here, the following is information concerning my 
Linux site configuration, in case you need it:

Vincent [email-masked], [email-masked]
(who would really really apreciate if someone could help.. :) )

******************** ~FTP HIERARCHY *************************
palanthas:/home/ftp# ls -lR
total 7
drwxr-xr-x   2 ftp      wheel        1024 Sep 14 23:41 bin/
drwxr-xr-x   2 ftp      wheel        1024 Aug 31 21:00 etc/
drwxr-xr-x   2 ftp      wheel        1024 Dec  3  1993 incoming/
drwxr-xr-x   2 ftp      wheel        1024 Sep 16 22:31 lib/
drwxr-xr-x   2 ftp      wheel        1024 Sep 16 22:18 pub/
drwxr-xr-x   3 ftp      wheel        1024 Aug 31 21:00 usr/
-rw-r--r--   1 ftp      wheel         417 Sep 14 23:20 welcome.msg

bin:
total 247
-rwx--x--x   1 root     wheel       12292 Sep 14 23:41 compress*
-rwx--x--x   1 root     wheel       46084 Sep 14 23:41 gzip*
-rwx--x--x   1 root     wheel       95236 Feb 12  1994 ls*
-rwx--x--x   1 root     wheel      102404 Sep 14 23:41 tar*

etc:
total 2
-rwxr-xr-x   1 root     wheel         258 Dec  3  1993 group*
-rwxr-xr-x   1 root     wheel         532 Dec  3  1993 passwd*

incoming:
total 0

lib:
total 835
-rwxr-xr-x   1 root     root        20484 Sep 16 22:10 ld.so*
-rwxr-xr-x   1 root     root       634880 Sep 16 22:31 libc.so.4*
-rwxr-xr-x   1 root     wheel      634880 Sep 14 23:42 libc.so.4.6.27*

pub:
total 16
-rw-r--r--   1 root     root         8154 Sep 16 22:18 The_Song_of_Huma.txt
-rw-r--r--   1 root     root         8154 Sep 16 22:18 song.txt

usr:
total 1
drwxr-xr-x   2 ftp      wheel        1024 Aug 31 21:00 bin/

usr/bin:
total 0
lrwxrwxrwx   1 root     root           12 Aug 31 21:00 ls -> ../../bin/ls*

********* FTPCONVERSIONS FILE****************

 :.Z:  :  :/bin/compress -d -c %s:T_REG|T_ASCII:O_UNCOMPRESS:UNCOMPRESS
 :   : :.Z:/bin/compress -c %s:T_REG:O_COMPRESS:COMPRESS
 :.gz: :  :/bin/gzip -cd %s:T_REG|T_ASCII:O_UNCOMPRESS:GUNZIP
 :   : :.gz:/bin/gzip -9c %s:T_REG:O_COMPRESS:GZIP
 :   : :.tar:/bin/tar -cf - %s:T_REG|T_DIR:O_TAR:TAR
 :   : :.tar.gz:/bin/tar -czf - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+GZIP
 :   : :.tgz:/bin/tar -czf - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+GZIP

****** SHARED LIBS *****************

palanthas:/home/ftp/bin# ldd compress 
        libc.so.4 (DLL Jump 4.6pl27) => /lib/libc.so.4.6.27
palanthas:/home/ftp/bin# ldd gzip 
        libc.so.4 (DLL Jump 4.5pl26) => /lib/libc.so.4.6.27
palanthas:/home/ftp/bin# ldd tar 
        libc.so.4 (DLL Jump 4.6pl27) => /lib/libc.so.4.6.27
palanthas:/home/ftp/bin# ldd ls
palanthas:/home/ftp/bin#